#!/usr/bin/env python3
import command
import contact
import contactgroup
import host
import hostdependency
import hostescalation
import hostgroup
import service
import servicedependency
import serviceescalation
import servicegroup
import timeperiod


class NagParse():
    def __init__(self):
        self.m_commands: list[Command] = list()
        self.m_contacts: list[Contact] = list()
        self.m_contactgroups: list[ContactGroup] = list()
        self.m_hosts: list[Host] = list()
        self.m_hostdependencies[HostDependency]: list = list()
        self.m_hostescalations[HostEscalation]: list = list()
        self.m_hostgroups[HostGroup]: list = list()
        self.m_services[Service]: list = list()
        self.m_servicedependencies[ServiceDependency]: list = list()
        self.m_serviceescalations[ServiceEscalation]: list = list()
        self.m_servicegroups[ServiceGroup]: list = list()
        self.m_timeperiods[Timeperiod]: list = list()
